Bug 143491 - Spellcheck plugin language selection problem
Spellcheck plugin language selection problem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: aspell (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 12:01 EST by Chris Evich
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 09:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evich 2004-12-21 12:01:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
After update 4 was applied, the language list (part of the spellcheck
plugin) in gedit does not show "english".  This means that the
spellcheck plugin will not check english text.  I confirmed this
problem on several other updated boxes as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run gedit
2. Turn on spellcheck plugin under preferences
3. Select "set language" under tools.
    

Actual Results:  A window opens with a list of languages.  "English",
among others, is not listed.

Expected Results:  "English" should be listed here.

Additional info:

This may not be directly related to gedit but rather some other
package released on RHN for RHEL 3 Update 4 as of 10am on the 21st.
Comment 1 Chris Evich 2004-12-22 13:28:24 EST
I see this problem in other gnome programs as well, e.g. evolution's
e-mail spellchecker -> language selection shows the same list on
multiple boxes.  

This is a *big* problem for me because I am a very bad spellr :)
Comment 2 Ian Laurie 2004-12-28 01:54:31 EST
Not sure if this is connected, but I too have this issue, and I have
noticed the following:

server# rpm -qa | grep aspell
aspell-da-1.4.22-7
aspell-sv-1.3.8-4
aspell-0.33.7.1-25.1
aspell-nl-0.1-17
aspell-de-0.1.1-17
aspell-no-0.3-6
aspell-pt-0.1-12
aspell-en-ca-0.33.7.1-25.1
aspell-en-gb-0.33.7.1-25.1
aspell-fr-0.6-8
aspell-es-0.2-13
aspell-it-0.1-16
aspell-pt_BR-2.4-12
aspell-devel-0.33.7.1-25.1
server#

Yet if I log into RHN I can see there are later versions for 4 of the
above files:

aspell-0.33.7.1-25.1:2
aspell-devel-0.33.7.1-25.1:2
aspell-en-ca-0.33.7.1-25.1:2
aspell-en-gb-0.33.7.1-25.1:2

However if I try and download them the links point to the already
installed versions, that is the .1 rather than .1:2 version.
Comment 3 Ian Laurie 2005-01-04 16:05:07 EST
The update aspell-*-0.33.7.1-25.3 has fixed this for me.
Comment 4 Chris Evich 2005-01-05 08:31:15 EST
Yes, this update seems to have fixed the problem for me as well.
Comment 5 Ivana Varekova 2005-05-17 09:28:35 EDT
This bug was fixed in version -0.33.7.1-25.3.

Note You need to log in before you can comment on or make changes to this bug.